#
# Conditional build:
%bcond_without	apidocs	# doxygen/sphinx+breathe API documentation
#
Summary:	A collection of multi-dimensional data structures and indexing algorithms
Summary(pl.UTF-8):	Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących
Name:		mdds
Version:	1.2.1
Release:	1
License:	MIT
Group:		Development/Libraries
#Source0Download: https://gitlab.com/mdds/mdds
Source0:	http://kohei.us/files/mdds/src/%{name}-%{version}.tar.bz2
# Source0-md5:	4cf64cd1f6543501b10054a0801a03dd
Patch0:		%{name}-doc.patch
URL:		https://gitlab.com/mdds/mdds
BuildRequires:	boost-devel >= 1.39
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	rpmbuild(macros) >= 1.446
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	python3-sphinx_bootstrap_theme
BuildRequires:	python3-breathe
BuildRequires:	sphinx-pdg-3
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of multi-dimensional data structures and indexing
algorithms.

It implements the following data structures:
- segment tree
- flat segment tree
- rectangle set
- point quad tree
- mixed type matrix

%description -l pl.UTF-8
Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących.
Zaimplementowane są następujące struktury danych:
- drzewo segmentowe
- płaskie drzewo segmentowe
- zbiór prostokątów
- drzewo czwórkowe (quadtree) dla punktów
- macierz mieszana

%package devel
Summary:	A collection of multi-dimensional data structures and indexing algorithms
Summary(pl.UTF-8):	Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących
Group:		Development/Libraries
Requires:	boost-devel >= 1.39
Requires:	libstdc++-devel >= 6:4.7

%description devel
A collection of multi-dimensional data structures and indexing
algorithms.

It implements the following data structures:
- segment tree
- flat segment tree
- rectangle set
- point quad tree
- mixed type matrix

%description devel -l pl.UTF-8
Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących.
Zaimplementowane są następujące struktury danych:
- drzewo segmentowe
- płaskie drzewo segmentowe
- zbiór prostokątów
- drzewo czwórkowe (quadtree) dla punktów
- macierz mieszana

%package apidocs
Summary:	API documentation for MDDS
Summary(pl.UTF-8):	Dokumentacja API biblioteki MDDS
Group:		Documentation

%description apidocs
API documentation for MDDS.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki MDDS.

%prep
%setup -q

%build
%configure \
	SPHINX=/usr/bin/sphinx-build-3 \
	%{?with_apidocs:--enable-docs}

%{__make}

%if %{with apidocs}
%{__make} html-local
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/mdds-1.2

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE NEWS README.md
%{_includedir}/mdds-1.2
%{_npkgconfigdir}/mdds-1.2.pc

%files apidocs
%defattr(644,root,root,755)
%doc doc/_doxygen/html doc/_build/{_static,*.html,*.js}
%changelog
* Mon Aug 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mdds.git;a=log;h=master

* Mon Aug 29 2016 Jakub Bogusz <qboosh@pld-linux.org> bd0f2c7
- updated to 1.2.1

* Sun May 15 2016 Jakub Bogusz <qboosh@pld-linux.org> c8be9e4
- updated to 1.2.0 (API 1.2; mdds with API 1.0 left on mdds-1.0 branch)
- ensure consistent version of sphinx modules required and used

* Sat Dec 26 2015 Jan Rękorajski <baggins@pld-linux.org> fa09736
- updated sphinx deps
- rel 2

* Sun Nov 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 17e8410
- updated to 1.0.0 (now with versioned API, currently 1.0)
- added doc patch, build apidocs

* Thu Jul 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 0a68325
- updated to 0.12.1

* Fri Feb 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 2f97142
- updated to 0.12.0

* Mon Oct 27 2014 Jakub Bogusz <qboosh@pld-linux.org> f4af2d6
- updated to 0.11.1

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 7b9a143
- updated to 0.10.3

* Sun Mar 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7cec672
- up to 0.10.2

* Thu Jan 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 26e0ce3
- up to 0.10.1

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 032fc0c
- updated to 0.9.1

* Mon Jul 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 4250c1f
- updated to 0.9.0

* Sun May 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 3158fcb
- updated to 0.8.1

* Sun May 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 35b5323
- updated to 0.8.0; .pc file introduced

* Sat Mar 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 3cdb0de
- updated to 0.7.1

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 746bc63
- updated to 0.7.0

* Thu Feb 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 47d7999
- updated to 0.6.1
- removed obsolete patches

* Thu Feb 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 021b472
- pl
- pass --with-hash-container=boost to be consistent with specified dependencies
  (boost not C++11-compliant compiler)
- only -devel binary package exists, so copied full description there

* Thu Aug 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a3941f
- up to 0.6.0

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 61c8436
- up to 0.5.4

